@font-face {
    font-family: "unscii";
    src: url("/fonts/unscii-16.woff");
    font-smooth: never;
    -webkit-font-smoothing: none;
}

@font-face {
    font-family: "Alegreya Sans";
    src: url("/fonts/alegreya-sans.woff2");
}

@font-face {
    font-family: "Homenaje";
    src: url("/fonts/homenaje.woff");
}

body {
    margin: 0;
    padding: 0;
    background: url("/images/pcb.png");
    font-family: 'Alegreya Sans', 'sans-serif';
}

main {
    margin-left: auto;
    margin-right: auto;
    max-width: 1200px;
}

p {
    line-height: 1.35em;
    font-size: 17px;
    color: #EEE;
}

h1 {
    font-family: 'unscii';
}

h2 {
    font-family: 'Homenaje';
}

h3 {
    font-weight: normal;
}

ul {
    list-style-type: none;
    font-family: 'Courier New', Courier, monospace;
    font-weight: 800;
    font-size: 17px;
}

ul>* {
    margin: 0 5px;
}

li {
    display: inline;
    color: white;
}

table {
    width: 100%;
    border-spacing: 10px 10px;
    table-layout: auto;
}

th, td {
    background-color: rgba(46, 46, 46, 0.18);
    padding: 10px;
    border-radius: 2px;
}

th {
    background-color: #ffffff17;
}

header {
    position: relative;
    overflow: hidden;
    padding: 0;
    background: linear-gradient(rgba(0, 0, 0, 0.7),
            rgba(0, 0, 0, 0));
}

footer {
    padding: 1em;
    position: relative;
    background:
        /* top, transparent black, faked with gradient */
        linear-gradient(rgba(0, 0, 0, 0.1),
            rgba(0, 0, 0, 0.3));
    background-repeat: no-repeat;
    background-size: cover;
    color: rgb(110, 110, 110);
}

kbd {
    border-radius: 3px;
    padding: 1px 2px 0;
    border: 2px solid white;
    font-family: 'Alegreya Sans', 'sans-serif';
    margin: 0 4px;
}

#background-video {
    object-fit: cover;
    min-height: 600px;
    position: absolute;
    width: 100%;
    height: 100%;
    padding: 0;
    top: 0;
    left: 0;
    z-index: -1;
}

#header-title {
    min-height: 400px;
}

#header-faq {
    background:
        /* top, transparent black, faked with gradient */
        linear-gradient(rgba(0, 0, 0, 0.9),
            rgba(0, 0, 0, 0.5)),
        /* bottom, image */
        url("/images/header.png");
    background-position: 0%, 0% center;
}

.video-wrapper {
    width: 100%;
    min-height: 400px;
    position: relative;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
}

pre {
    margin: 0;
    padding: 0;
}

code {
    font-size: 13px;
}

.codeblock code {
    display: block;
    white-space: pre-wrap;
}

.codeblock {
    padding: 10px;
    background-color: rgb(46, 46, 46);
    overflow-x: auto;
}

code {
    padding: 3px 6px;
    margin: 0 4px;
}

a {
    color: rgb(148, 54, 54);
    text-decoration: none;
    filter: drop-shadow(0, 0, 5, white);
    -o-transition: 1s;
    -ms-transition: 1s;
    -moz-transition: 1s;
    -webkit-transition: 1s;
    transition: 1s;
}

a img {
    vertical-align: middle;
    margin-bottom: 4px;
    image-rendering: pixelated;
}

.download-executable-jar-for-free {
    display: block;
    background-color: rgb(148, 54, 54);
    color: white;
    padding: 10px;
    text-decoration: none;
    -o-transition: 1s;
    -ms-transition: 1s;
    -moz-transition: 1s;
    -webkit-transition: 1s;
    transition: 1s;
    margin-bottom: 3px;
    margin-left: 5px;
    width: 70%;
}

.download-executable-jar-for-free:hover  {
    background-color: #d4d4d4;
    color: black;
    -moz-transition: 1s;
    -webkit-transition: 1s;
    transition: 1s;
}

.download-executable-jar-for-free.changelog {
    background-color: #707070;
    width: 30%;
}

.download-executable-jar-for-free.changelog:hover {
    background-color: #d4d4d4;
}

.download-links {
    display: flex;
    margin-left: auto;
    margin-right: auto;
}

.mirror {
    background-color: #161616;
}

a:hover {
    color: white;
    -moz-transition: 1s;
    -webkit-transition: 1s;
    transition: 1s;
}

.heading-title h2::after {
    content: "┃";
    display: inline-block;
    animation: cursor-blink 1s steps(2) infinite;
}

.heading-title h2 {
    font-family: 'unscii';
}

.heading-title ul {
    padding: 20px;
}


.heading-title {
    color: White;
    text-align: center;
    margin-left: 20px;
    margin-right: 20px;
}


@media (max-width: 800px) {
    .content {
        flex-direction: column;
    }
}

.content {
    margin-left: auto;
    margin-right: auto;
    max-width: 1400px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 5px;
}

.lined-heading {
    border-bottom: 2px solid white;
    padding-bottom: 5px;
    margin-bottom: 10px;
}

.feature-img {
    padding-right: 10px;
}

.feature-content {
    display: flex;
    flex-direction: row;
    font-family: 'Alegreya Sans', 'sans-serif';
}

.feature-content p {
    margin: 0;
}

.feature {
    background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.3));
    color: White;
    width: 500px;
    height: 20%;
    padding: 25px;
    margin: 5px;
    border-radius: 5px;
    font-family: 'Homenaje';
}

.faq {
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.3));
    color: White;
    height: 20%;
    padding: 20px;
    margin-top: 5px;
    margin-bottom: 5px;
    border-radius: 5px;
}

.faq-img {
    width: 100%;
    max-width: 775px;
}

.faq-component-img {
    background-color: #ffffff17;
    min-width: 32px;
    min-height: 32px;
    margin-right: 10px;
    background-repeat: no-repeat;   
    image-rendering: pixelated;
    background-position: center;
    background-size: contain;
    border-radius: 2px;
    padding-left: 4px;
    padding-right: 4px;
}

.faq-table-header {
    width: 300px;
}

.faq-component-th {
    padding: 0px;
    background-color: transparent;
    display: flex;
    flex-direction: row;
}

.faq-component-text {
    background-color: #ffffff17;
    padding: 10px;
    padding-bottom: 12px;
    border-radius: 2px;
    width: 100%;
}

@media (max-width: 800px) {
    .feature {
        width: auto;
    }

    .feature-content {
        flex-direction: column;
    }

    table {
        width: 100%;
        border-spacing: 0px 0px;
    }

    th, td {
        padding: 4px;
        border-radius: 0px;
    }

    .faq-component-img {
        margin: 0;
        border-radius: 0;
    }

    .faq-component-text {
        border-radius: 0;
    }

    .header {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

    .faq {
        margin: 0;
    }
}